View Issue Details

IDProjectCategoryView StatusLast Update
0006050Talerexchangepublic2020-07-24 11:56
ReporterFlorian Dold Assigned Tojonathanbuchanan  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006050: create twister test case that sets keys expiration to zero / invalid
Description... this would force then existing test to re-fetch keys before every operation, and this has uncovered a use-after-free bug before. Thus we should add this as a permanent twister case, instead of manually setting the exchage's response header.
TagsNo tags attached.

Activities

jonathanbuchanan

2020-07-13 23:44

developer   ~0016447

test case resolved in b0c352d..4ff3f42a.

Issue History

Date Modified Username Field Change
2020-01-17 20:52 Florian Dold New Issue
2020-01-17 20:52 Florian Dold Status new => assigned
2020-01-17 20:52 Florian Dold Assigned To => Christian Grothoff
2020-01-17 21:38 Christian Grothoff Assigned To Christian Grothoff => Marcello Stanisci
2020-01-17 21:38 Christian Grothoff Target Version => 0.8
2020-03-28 22:20 Christian Grothoff Severity minor => feature
2020-03-28 22:20 Christian Grothoff Product Version => git (master)
2020-07-10 23:31 Christian Grothoff Assigned To Marcello Stanisci => jonathanbuchanan
2020-07-13 23:44 jonathanbuchanan Status assigned => resolved
2020-07-13 23:44 jonathanbuchanan Resolution open => fixed
2020-07-13 23:44 jonathanbuchanan Note Added: 0016447
2020-07-24 11:56 Christian Grothoff Fixed in Version => 0.8